# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos.impl
Class UserDataImpl

    java.lang.Object
      com.google.gdata.data.photos.impl.GphotoDataImpl
          com.google.gdata.data.photos.impl.UserDataImpl

All Implemented Interfaces:
  Extensible, GphotoData, UserData

    public class UserDataImpl

extends GphotoDataImpl
implements UserData

Implementation class for user data objects. This class takes an `ExtensionPoint` and uses it to provide all of the methods that `UserData` specifies. These methods are handled by using extension classes to retrieve or set extensions of the appropriate type.

Field Summary

Fields inherited from interface com.google.gdata.data.photos.UserData
`KIND, USER_CATEGORY, USER_KIND`

Constructor Summary
`UserDataImpl(ExtensionPoint extensionPoint)` Construct a new implementation of UserGphotoData with the given extension point as the backing storage for data.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an Extensible within the target extension profile.
`java.lang.Integer` `getMaxPhotos()` The number of photos a user can have in a single album.
`java.lang.String` `getNickname()` The nickname of the user.
`java.lang.Long` `getQuotaLimit()` The quota limit of the user.
`java.lang.Long` `getQuotaUsed()` The quota in bytes that the user has used.
`java.lang.String` `getThumbnail()` A url to the user's portrait.
`java.lang.String` `getUsername()` The username of the user.
`void` `setMaxPhotos(java.lang.Integer max)` Set the maximum number of photos the user is allowed.
`void` `setNickname(java.lang.String nickname)` Set the nickname of the user this item represents.
`void` `setQuotaLimit(java.lang.Long quota)` Set the quota limit for the user this item represents.
`void` `setQuotaUsed(java.lang.Long quota)` Set the used quota for the user.
`void` `setThumbnail(java.lang.String thumbnail)` Set the thumbnail for the user portrait.
`void` `setUsername(java.lang.String username)` Set the username for the user this item represents.

Methods inherited from class com.google.gdata.data.photos.impl.GphotoDataImpl
`addExtension, addRepeatingExtension, declare, getExtension, getGphotoId, getRepeatingExtension, getSimpleValue, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setGphotoId, setGphotoId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Constructor Detail

### UserDataImpl

    public UserDataImpl(ExtensionPoint extensionPoint)

  Construct a new implementation of UserGphotoData with the given extension point as the backing storage for data.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from interface: `Extensible`
  Declares the set of expected Extension types for an Extensible within the target extension profile. Forwards to `ExtensionPoint.declareExtensions(ExtensionProfile)`.

  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoDataImpl`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getUsername

    public java.lang.String getUsername()

  Description copied from interface: `UserData`
  The username of the user. The username is the user's current persona, and is not a valid email address but is instead a unique name of the user on the server.

  Specified by:
    `getUsername` in interface `UserData`
  Returns:
    the username of the user this item represents.

### setUsername

    public void setUsername(java.lang.String username)

  Set the username for the user this item represents.

  Specified by:
    `setUsername` in interface `UserData`
  Parameters:
    `username` - the username of the user.

### getNickname

    public java.lang.String getNickname()

  Description copied from interface: `UserData`
  The nickname of the user. This is the display name of the user, defined by editing the user information through the UI.

  Specified by:
    `getNickname` in interface `UserData`
  Returns:
    the nickname of the user this item represents.

### setNickname

    public void setNickname(java.lang.String nickname)

  Set the nickname of the user this item represents.

  Specified by:
    `setNickname` in interface `UserData`
  Parameters:
    `nickname` - the nickname of the user.

### getThumbnail

    public java.lang.String getThumbnail()

  Description copied from interface: `UserData`
  A url to the user's portrait.

  Specified by:
    `getThumbnail` in interface `UserData`
  Returns:
    the thumbnail for the user this item represents.

### setThumbnail

    public void setThumbnail(java.lang.String thumbnail)

  Set the thumbnail for the user portrait.

  Specified by:
    `setThumbnail` in interface `UserData`
  Parameters:
    `thumbnail` - the url to the user portrait image.

### getQuotaUsed

    public java.lang.Long getQuotaUsed()

  Description copied from interface: `UserData`
  The quota in bytes that the user has used. This is calculated on the server.

  Specified by:
    `getQuotaUsed` in interface `UserData`
  Returns:
    the quota used up for this user.

### setQuotaUsed

    public void setQuotaUsed(java.lang.Long quota)

  Set the used quota for the user.

  Specified by:
    `setQuotaUsed` in interface `UserData`
  Parameters:
    `quota` - the quota usage in bytes for this user.

### getQuotaLimit

    public java.lang.Long getQuotaLimit()

  Description copied from interface: `UserData`
  The quota limit of the user. Set on the server, only modifiable by purchasing more storage through the UI.

  Specified by:
    `getQuotaLimit` in interface `UserData`
  Returns:
    the quota limit for the user in bytes.

### setQuotaLimit

    public void setQuotaLimit(java.lang.Long quota)

  Set the quota limit for the user this item represents.

  Specified by:
    `setQuotaLimit` in interface `UserData`
  Parameters:
    `quota` - the quota in bytes for the user.

### getMaxPhotos

    public java.lang.Integer getMaxPhotos()

  Description copied from interface: `UserData`
  The number of photos a user can have in a single album. Calculated on the server.

  Specified by:
    `getMaxPhotos` in interface `UserData`
  Returns:
    the maximum number of photos the user can have in an album.

### setMaxPhotos

    public void setMaxPhotos(java.lang.Integer max)

  Set the maximum number of photos the user is allowed.

  Specified by:
    `setMaxPhotos` in interface `UserData`
  Parameters:
    `max` - the number of photos the user is allowed.